*/ Loader.prg
*/ Program sets the initial menu
*/ options for Visual Modeler and adds a third
*/ choice to start the modeling tool itself from
*/ within Visual FoxPro

#DEFINE HKEY_LOCAL_MACHINE -2147483646

DO Vfp6strt
DO LoadModeler

Set Sysmenu Save


Procedure LoadModeler
  Local oRegistry,AppPath,CommandLine
        
    AppPath = Space(0)
    CommandLine = Space(0)
    Set Procedure to Registry
    oRegistry = CreateObject("Registry")
    If File(Home()+"visualmodeler\vfpmodel.app")
      Do (Home()+"visualmodeler\vfpmodel.app") with 0
      If oRegistry.Openkey('software\Microsoft\Visual Modeler',HKEY_LOCAL_MACHINE) = 0
        oRegistry.GetKeyValue("InstallDir",@apppath)
        If !Empty(apppath) And File(apppath+"\MSVM.EXE")
          If PopUp("_ptl_omodeling")
            Define Bar 3 Of _PTL_OMODELING Prompt "\<Visual Modeler"
            CommandLine = "Run /N1 " + apppath + "\MSVM.EXE"
            On Selection Bar 3 Of _ptl_omodeling &CommandLine
          Endif
        Endif
      Endif
    Endif
EndProc 

